# Generated from slender_data-0.7.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name slender_data

Name: rubygem-%{gem_name}
Version: 0.7.5
Release: 1%{?dist}
Summary: A JS micro-framework for lightweight AJAX data management against RESTful APIs
License: MIT
URL: http://github.com/kevgo/slender_data
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(guard-livereload)
# BuildRequires: rubygem(poltergeist)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(selenium-webdriver)
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(uglifier)
BuildArch: noarch

%description
Provides simple and extensible data management services to JavaScript
applications.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.7.5-1
- Initial package
